Issue 123859 - Use of incomplete types in comphelper's locale.cxx
Summary: Use of incomplete types in comphelper's locale.cxx
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 122766
  Show dependency tree
 
Reported: 2013-12-16 10:08 UTC by hdu@apache.org
Modified: 2014-04-01 12:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
avoid incomplete Locale class as return value (11.99 KB, patch)
2013-12-16 10:11 UTC, hdu@apache.org
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-12-16 10:08:18 UTC
In main/comphelper/inc/comphelper/locale.hxx the Locale class is being used as return type when it is still incomplete. Current Solaris compilers fail to handle this scenario. Though this behavior is a bit unusual it is legal according to the C++ standard.
Comment 1 hdu@apache.org 2013-12-16 10:11:46 UTC
Created attachment 82111 [details]
avoid incomplete Locale class as return value

If this patch doesn't work directly then adding a forward declaration
   class Locale;
before the actual class declaration in locale.hxx could be useful.
Comment 2 SVN Robot 2013-12-18 05:54:00 UTC
"hdu" committed SVN revision 1551855 into trunk:
#i123859# avoid incomplete Local class as return value
Comment 3 hdu@apache.org 2013-12-18 06:00:07 UTC
Fixed with the commit above.
Comment 4 hdu@apache.org 2014-04-01 12:35:15 UTC
Closing the resolved issue.